
TYPO3.Flow - Bug # 6786

Status: Resolved Priority: Must have
Author: Georg Ortner Category: Persistence
Created: 2010-03-11 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Persistence Query Orderings integers ordered like strings
Description

Code (property order is declared as INT):

$query->matching( $query->equals('parentUUID', ''))
    ->setOrderings(array('order' => \F3\FLOW3\Persistence\QueryInterface::ORDER_ASCENDING))

The result is:

1
10
12
17
2
29
3

If order was a string this would be fine but for an integer everyone would expect:

1
2
3
10
12
17
29

Associated revisions
Revision 469a1525 - 2010-03-16 17:39 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): When ordering query results the ordering now works as expected for integers, fixes #6786.

History
#1 - 2010-03-11 22:21 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version deleted (1.0 alpha 8)
- Estimated time set to 4.00

#2 - 2010-03-16 17:38 - Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date changed from 2010-03-11 to 2010-03-16
- Estimated time changed from 4.00 to 2.00

#3 - 2010-03-16 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3966.
